<?php

declare(strict_types=1);

namespace App\Framework\OpenApi;

final readonly class OpenApiContact
{
    public function __construct(
        public ?string $name = null,
        public ?string $url = null,
        public ?string $email = null,
    ) {
    }

    /**
     * @return array<string, string>
     */
    public function toArray(): array
    {
        $contact = [];

        if ($this->name !== null) {
            $contact['name'] = $this->name;
        }

        if ($this->url !== null) {
            $contact['url'] = $this->url;
        }

        if ($this->email !== null) {
            $contact['email'] = $this->email;
        }

        return $contact;
    }
}
